Name:           libgsystem
Version:        2015.1
Release:        1.atomic%{?dist}
Summary:        GIO-based library with Unix/Linux specific API

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/LibGSystem
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgsystem/%{version}/libgsystem-%{version}.tar.xz

# We always run autogen.sh
BuildRequires: autoconf automake libtool
# For docs
BuildRequires: gtk-doc
# Core requirements
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: libattr-devel
BuildRequires: gobject-introspection-devel

%description
LibGSystem is a GIO-based library targeted primarily
for use by operating system components.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gobject-introspection-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
env NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%check
make check

%files
%doc README COPYING
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-*/*.typelib

%files devel
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-*/*.gir


%changelog
* Thu Jan 08 2015 Colin Walters <walters@redhat.com> - 2015.1-1.atomic
- New upstream release

* Fri Dec 19 2014 Colin Walters <walters@redhat.com> - 2014.3-1.atomic
- New upstream release
- Add check section

* Fri Dec 19 2014 Colin Walters <walters@redhat.com> - 2014.2-3.atomic
- Rebuild for 7.1

* Tue Apr 01 2014 Colin Walters <walters@verbum.org>
- New upstream version

* Wed Mar 12 2014 Colin Walters <walters@redhat.com> - 2014.1-2
- Move typelib into main package, where it should be

* Tue Feb 18 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 2014.1-1
- Initial packaging
